import request from "@/api/request.js";
// 全领域

// 全领域统计
export function getAllDomainCount() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndexV2/AllDomainCount`,
  })
}

// 美对华制裁措施数量趋势
export function getDomainContainmentTrend() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndexV2/DomainContainmentTrend`,
  })
}

// 最新动态
export function getTechnologyGameAnalysis() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndexV2/TechnologyGameAnalysis`,
  })
}

// 领域打压遏制排行
/**
 * @param {currentPage, pageSize} 
 */
export function getDomainContainmentRanking() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndexV2/DomainContainmentRanking`,
  })
}

// 领域打压遏制时间线
/**
 * @param {currentPage, pageSize} 
 */
export function getDomainContainmentTimeline(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndexV2/DomainContainmentTimeline`,
    params
  })
}

